@import url("https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css");
@import url("faq.css");
@import url("homepage.css");
@import url("loginpage.css");
@import url("shoppingCartPage.css");
@import url("registration.css");
@import url("checkout.css");
@import url("contact.css");
@import url("productDetail.css");
@import url('https://fonts.googleapis.com/css2?family=Saira+Stencil+One&display=swap');

/**
 ------------------ MAIN PAGE STYLE START ----------------------------
*/
html {
    scroll-behavior: smooth;
}
#webpage {
    width: 100%;
    height: 100vh;
    background: black;
    opacity: 0;
    transition: opacity 0.3s cubic-bezier(1, 0, 0, 1);
    overflow-x: hidden;
}
.main-wrapper {
    min-width: 100vh;
    min-height: 90%;
}
.content-page {
    width: 100%;
    height: 100%;
}
.main-header h1{
    font-family: 'Saira Stencil One', cursive;
}

#logo {
    color: #E9D23B;
    font-family: 'Saira Stencil One', cursive;
    font-size: 30px;
}
.navbar {
    background-color: #393A45;
}
#navbar .nav-link {
    color: #fff;
    min-width: 100px;

    text-align: center;
}
#navbar .nav-link:hover {
    box-shadow: 1px 1px 1px 1px #E9D23B;

}
.navbar-nav {
    color: #fff;
}

.footer{
    width: 100%;
    height: 10%;
    color: #c8d3e6;
    background-color: #393A45;
    padding: 10px;
}
.footer p {
    margin: 10px auto;
}

.nav-user {
    color: #fff;
    text-decoration: none;
    padding: 10px;
}
.nav-user:hover {
    text-decoration: none;

}

/* shopping cart icon */
.fa_custom {
    color: #E9D23B;
    font-size: 25px;
    transition: color .5s linear;
}
.fa_custom:hover {
    color: #fff;
}

#float-login{
    position: fixed;
    top: 35%;
    left: 35%;
    height: 40%;
    width: 30%;
    background: #E9D23B;
    z-index: 10;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    transform: translateX(-400%);
    visibility: 0;
    transition: 0.5s ease;
    border-radius: 10px;
    font-weight: bold;
    border: 5px solid rgba(0,0,0, .3);
}
#float-login input {
    margin-bottom: 20px;
}
/**
 ------------------ MAIN PAGE STYLE END ----------------------------
*/


 .modal-header {
    background-color: #E9D23B !important;
    padding: 15px 50px;
}

 .modal-body {
    background-color: #393A45 !important
}

 .modal-footer {
    background-color: #E9D23B !important;
    padding: 10px 50px;
}

 #vertical-line{
    border-left: 2px solid #E9D23B;
    height: 100%;
    position: absolute;
    left: 50%;
    margin-left: -3px;
    top: 0;
}


 #add-product-button{
    border-style: solid;
    border-color: #393A45;
    font-size: 20px;
    color: #393A45 ;
    cursor: pointer;
}

 #add-product-button:hover{
    background: #393A45;
    background-size: 10px;
    color: #E9D23B;
}

 #modal-product-manufacturer {
    font-size: 15px
}

 #modal-product-price {
    color: red;
    font-size: 30px;
    font-weight: 700;
}

 #modal-product-name {
    color: #E9D23B;
    font-weight: 700
}

 #modal-product-details{
    color: white;
    text-align: justify-all;
    letter-spacing: 1px;
    font-stretch: condensed
}

 .product-details-container{
    text-align: center;
}


 #close-product-details-button{
    color: #393A45;
    cursor: pointer;
    padding: 10px 10px;
    transform: translate(95%, 0%);
}

 #close-product-details-button:hover{
    background: #393A45;
    background-size: 10px;
    color: #E9D23B;
}
#myModal {
    margin-top: 10%;
}
.modal-dialog {
    width: 100vw;
}
@media screen and (min-width: 800px) {
    .modal-dialog {
        max-height:  300px;
        max-width: 1000px;
    }
}